-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.0.37-community-nt


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema sqlinjection
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ sqlinjection;
USE sqlinjection;

--
-- Table structure for table `sqlinjection`.`categorias`
--

DROP TABLE IF EXISTS `categorias`;
CREATE TABLE `categorias` (
  `Codigo` int(10) unsigned NOT NULL auto_increment,
  `Descricao` varchar(45) NOT NULL default '',
  PRIMARY KEY  (`Codigo`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `sqlinjection`.`categorias`
--

/*!40000 ALTER TABLE `categorias` DISABLE KEYS */;
/*!40000 ALTER TABLE `categorias` ENABLE KEYS */;


--
-- Table structure for table `sqlinjection`.`noticias`
--

DROP TABLE IF EXISTS `noticias`;
CREATE TABLE `noticias` (
  `Codigo` int(10) unsigned NOT NULL auto_increment,
  `Titulo` varchar(150) default NULL,
  `Descricao` text,
  `Data` varchar(10) default NULL,
  `Fonte` varchar(255) default NULL,
  PRIMARY KEY  (`Codigo`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `sqlinjection`.`noticias`
--

/*!40000 ALTER TABLE `noticias` DISABLE KEYS */;
INSERT INTO `noticias` (`Codigo`,`Titulo`,`Descricao`,`Data`,`Fonte`) VALUES 
 (1,'Bug no IE pode afetar 900 mi de usuários','SÃO PAULO - A Microsoft divulgou ter encontrado uma vulnerabilidade que permite ao criminoso executar um código malicioso na máquina da vítima, caso a mesma utilize o Internet Explorer para navegar na web.\r\n\r\nA brecha de segurança afetas todas as versões do Windows, desde o XP SP3 até o Windows 7 e Windows Server 2008 R2 (instalações Server Core não foram afetadas), podendo atingir os 900 milhões de usuários do sistema.\r\n\r\nA vulnerabilidade existe devido a maneira como o formato MHTML interpreta as solicitações MIME (soluções formatadas para bloquear conteúdos dentro de um documento).\r\n\r\nCaso explorada, a falha pode permitir que criminosos instalem scripts durante a navegação na web, através do IE, possibilitando a falsificação de conteúdos e a divulgação de informações não solicitadas.\r\n\r\nA Microsoft afirma que já identificou o problema e trabalha para uma solução definitiva para o mesmo e que não encontrou indicações de que essa falha já tenha sido explorada.\r\n\r\nA empresa divulgou também uma ferramenta provisória para consertar a vulnerabilidade, e que irá prevenir a execução de scripts dentro dos documentos MHTML. Mas qualquer aplicação que utilizar o formato MHTML terá seu uso comprometido.','01/02/2011','http://info.abril.com.br/noticias/seguranca/bug-no-ie-pode-afetar-900-mi-de-usuarios-01022011-29.shl'),
 (2,'Conheça os itens de segurança da nova cédula do real','<a href=\"http://localhost:1482/WebNoticias/Imagens/cedulas.jpg\" target=\"blank\">Cedulas</a>','15/12/2010','http://g1.globo.com/economia-e-negocios/noticia/2010/12/conheca-os-itens-de-seguranca-da-nova-cedula-do-real.html');
INSERT INTO `noticias` (`Codigo`,`Titulo`,`Descricao`,`Data`,`Fonte`) VALUES 
 (3,'Trojan brasileiro impede que usuário atualize o antivírus','Malware também redireciona o internauta para páginas falsas de bancos, mesmo que a URL digitada seja a correta.\r\n\r\nUm novo trojan criado no Brasil tenta bloquear o acesso do navegador a sites de companhias antivirus e redireciona o internauta para páginas falsas de bancos, mesmo que ele digite a URL correta. Além disso, o código foi escrito para impedir que antivirus já instalado no PC baixe atualizações.\r\n\r\nO vírus, descoberto pela Kaspersky Lab no Brasil, utiliza uma técnica chamada de Man in the Browser (MitB). \"Esse tipo de infecção funciona alterando a chave \"AutoConfigURL\" no registro do Windows, fazendo que os navegadores de seu PC usem a URL como proxy (intermediário) em sua conexão web\", diz. \r\n\r\nSe o usuário infectado tentar acessar um site para baixar algum antivirus, verá a seguinte mensagem: \"Serviço indisponível temporariamente, tente mais tarde...\"\r\n\r\nO código traz uma lista de servidores usados pelas companhias antivirus para distribuir atualizações para seus usuários. \"O intuito é claro: tentar impedir o antivirus instalado de baixar atualizações e assim detectar a praga ativa e removê-la\", explica a Kapersky.\r\n\r\nA praga também altera as configurações do Firefox e registra um arquivo na inicialização. Esse arquivo atualiza o proxy malicioso no sistema, caso o mesmo seja removido pelos serviços de hospedagem. \"Assim, o criminoso tenta garantir que a vitima fique infectada o maior tempo possivel\", afirma.\r\n','28/01/2011','KAPERSKY'),
 (4,'Aplicativo modificado controla smartphones Android','Segundo a Symantec, os hackers estão cada vez melhores em programação para a plataforma da Google.\r\n\r\nUm aplicativo que teve seu código alterado por hackers passou a controlar smartphones com sistemas Android. O resultado desse controle indesejado são faturas telefônicas de valor astronômico. Tudo acontece sem o proprietário ter noção. A informação é da Symantec, empresa de segurança, famosa pelos produtos da linha Norton.\r\n\r\nDe acordo com Vikram Thakur, gerente geral da Symantec, o mais novo aplicativo da família Android comprometido pela ação de hackers é o Steamy Window. O programa teria sido alterado por hackers chineses e liberado na web.\r\n\r\nDepois de baixar o aplicativo, os cibercriminosos adicionaram um trojan conhecido por Androis.Pijapps. Após sua modificação, o aplicativo é disponibilizado em app stores que não verificam o conteúdo dos programas oferecidos.\r\n\r\n\"Dessa vez, os hackers se superaram\", disse Thakur. Segundo o gerente da Symantec, as ações do trojan são bastante refinadas.\r\n\r\nAlém do Trojan enviar mensagens pagas para uma variedade enorme de serviços, pode controlar o dispositivo instalando outros aplicativos, acessar os favoritos do browser e entrar em sites. Mas é com o envio de SMSs para serviços pagos que os criminosos ganham dinheiro.\r\n\r\n\"O aplicativo monitora eventuais avisos da operadora dando conta do estouro do limite de SMSs enviados\", diz Thakur.\r\n\r\nOs cientistas da Symantec encontraram a versão modificada do Steamy Window em um site de aplicativos na China.\r\n\r\nApesar de os ataques aos aplicativos Android não ser algo novo, o caso do recém descoberto Steamy Window modificado mostra que os hackers estão ficando realmente bons em suas empreitadas.\r\n\r\nA plataforma Android é altamente atraente para os hackers - diferente do que acontece com o iOS, da Apple -  pelo fato de os usuários poderem instalar aplicativos desenvolvidos por terceiros.\r\n(Gregg Keizer)','01/03/2011','Symantec');
INSERT INTO `noticias` (`Codigo`,`Titulo`,`Descricao`,`Data`,`Fonte`) VALUES 
 (5,'Google lança correção de 19 vulnerabilidades para o Chrome','De acordo com a companhia, bugs afetavam vários componentes do browser, como WebGL, renderização, animação e barra de endereços.\r\n\r\nA Google corrigiu 19 vulnerabilidades no navegador Chrome e pagou 14 mil dólares a nove pesquisadores de segurança por descobertas de falhas.\r\n\r\nA atualização para o Chrome 9.0.597.107 corrige 16 falhas classificadas como de nível \"alto\", segunda classificação mais perigosa, de acordo com o o ranking de ameaças da empresa. Já as outras três foram identificadas como de nível \"médio\". \r\n\r\nDe acordo com a companhia, os bugs afetavam vários componentes do browser, como WebGL - que é uma API de gráficos 3D, lançada em fevereiro junto com Chrome 9 - renderização, animação e a barra de endereços.\r\n\r\nComo de costume, a Google não forneceu mais detalhes técnicos sobre as vulnerabilidades.\r\n\r\nPremiação\r\nO prêmio de 14 mil dólares foi o maior deste ano e conseguiu superar a quantia total paga a nove desenvolvedores que relataram 15 vulnerabilidades no início de 2011. Entre eles, Martin Barbella recebeu 3 mil dólares, Sergey Radchenko 2,5 mil e outros dois levaram 2 mil dólares cada.\r\n\r\nA Google e Mozilla são as únicas companhias do setor que oficialmente tem um programa de premiação por bugs.\r\n\r\nPwn2Own\r\nA atualização de segunda-feira (28/2) já era esperada, já que, há um ano, a gigante de buscas decidiu reforçar a segurança do seu navegador uma semana antes do início do evento Pwn2Own, concurso anual de hacking durante a conferência de segurança CanSecWest, em Vancouver, no Canadá.\r\n\r\nEm 2011, o Pwn2Own começa em 9 de março, quando pesquisadores de segurança competirão para ganhar fama e dinheiro tentando derrubar não só o Chrome, mas também versões atuais do Safari 5, da Apple, do Internet Explorer 8, da Microsoft, e do Firefox 3.6, da Mozilla.\r\n\r\nOs novos patches são especialmente importantes, uma vez que a Google tem uma participação especial no Pwn2Own. A empresa estipulou um prêmio de 20 mil dólares para aquele que conseguir hackear o Chrome durante o evento.\r\n\r\nPelo menos uma outra desenvolvedora deve lançar uma correção para seu navegador antes do início do Pwn2Own, já que a Mozilla deve realizar uma atualização de segurança do Firefox 3.6 ainda hoje.\r\n\r\nA nova versão do Chrome 9 pode ser baixada para Windows, Mac OS X e Linux, clicando aqui. Os usuários que já utilizam o browser receberão a atualização automaticamente.\r\n','01/03/2011','Google'),
 (6,'Facebook encriptará IDs de usuários para evitar compartilhamento indevido','O Facebook anunciou que irá tomar medidas para evitar o \"compartilhamento indevido\" dos dados de seus usuários. No começo da semana, o Wall Street Journal denunciou que aplicativos do Facebook tinham acesso a identificação do usuário e a estavam repassando para empresas realizarem propaganda direcionada, apesar da política de segurança dizendo o contrário. De forma resumida, o que causava o problema era que o ID do usuário estava no endereço do site e, portanto, era passado para aplicativos via cabeçalhos HTTP. Então, o plano é encriptá-los de forma semelhante a autenticação OAuth. Veja mais detalhes em Encrypting Facebook UIDs - Desenvolvedores do Facebook.','23/10/2010','Facebook');
INSERT INTO `noticias` (`Codigo`,`Titulo`,`Descricao`,`Data`,`Fonte`) VALUES 
 (7,'Os principais desafios para segurança corporativa em 2011','Os ataques cibernéticos chegaram a um nível inédito depois do Stuxnet (worm de computador projetado especificamente para atacar o sistema operacional SCADA, desenvolvido pela Siemens para controlar as centrífugas de enriquecimento de urânio iranianas); conheça os potenciais riscos, na opinião dos profissionais de segurança.\r\n\r\nAs tecnologias de virtualização e de computação em nuvem vêm carregadas de oportunidades de ataques digitais. Tal realidade aumenta a pressão sobre o profissionais de segurança em TI.\r\n\r\nEm 2010, as empresas lutaram para se manter ativas enquanto eram submetidas a uma avalanche de vírus, trojans, malwares e botnets. Tal fenômeno manteve os fabricantes de softwares de segurança ocupados no desenvolvimento das soluções.\r\n\r\nExecutivos de vasto conhecimento na área de segurança de TI dão sua contribuição sobre os principais perigos e ameaças a perturbar a vida dos usuários e dos desenvolvedores de soluções esse ano.\r\n\r\nMalwares e ataques cibernéticos\r\nÉ a família de ameaças digitais com maior variedade e que apresenta maior crescimento. Resta avaliar se as infraestruturas de TI conseguem ser flexíveis o suficiente para reagir aos ataques. Que medidas podem prevenir o sucesso desses ataques?\r\n\r\nComo aconteceu em 2010, a Apple e seus produtos Safari, Quicktime e iTunes devem permanecer no centro das atenções de hackers, junto com a plataforma  .pdf, da Adobe.\r\n\r\nDa sede da McAfee na Alemanha, a executiva Isabell Unseld comenta que, em 2010, houve em média 60 mil novos malwares ganhando a internet todos os dias. Com as plataformas de redes sociais sendo usadas cada vez mais no processo de disseminação desses ataques, houve vários casos de usuários do Facebook, por exemplo, que tiveram dados roubados depois de clicar em um link.\r\n\r\nCom relação às botnets, a situação não pareceu melhorar - pelo contrário. Houve casos expoentes no segmento de botnets como o Zeus e, mais tarde, o Stuxnet (extremamente refinado e capaz de sabotar sistemas inteiros).\r\n\r\nO que é um botnet?\r\nR.: Coleção de agentes de software ou bots que executam automaticamente e autonômos.\r\n\r\nPara Michael Hoos, os ataques cibernéticos chegaram a um nível inédito depois do Stuxnet. Aos criminosos é possível determinar com precisão o comportamento do verme binário criado para comprometer o funcionamento de infraestruturas e de controles de sistemas. Segundo a Symantec, em 2011 esse tipo de ataque altamente especializado deve explodir. O panorama pode ser amenizado com medidas de segurança ganhando o topo da agenda das TIs.\r\n\r\nSpam\r\nPara Markus Henning, executivo da empresa de segurança Astaro, os problemas de 2011 serão bastante semelhantes aos do ano anterior. Casos de ataques do tipo Zero Day (falhas até então desconhecidas) são certeza, ainda assim não é fácil, melhor, é impossível, prever quando surgirão.\r\n\r\nO executivo avisa que as redes de botnets armadas em 2010 e desmanteladas com sucesso devem ser objeto de reestruturação esse ano. Essas tentativa de reerguer as redes de botnets devem acontecer com maior ênfase ainda no primeiro semestre de 2010. Outro tipo de ataque previsto para o ano de 2011 é a combinação de datas relevantes e de eventos sendo explorados para disseminar spam e de emails do tipo phishing.\r\n\r\nEm terceiro lugar, Henning aponta para o exponencial crescimento das redes sociais, como o Facebook e outras plataformas da web 2.0, entre estas o Twitter. Atualmente já é possível encontrar ações de disseminação em várias plataformas simultaneamente, como o Koobface. Dessa maneira, o terreno a ser vigiado tem sua dimensão aumentada.\r\n\r\nDa Kaspersky Lab, fabricante de antivírus, o executivo Christian Funk concorda com os alertas de seus colegas e afirmar que a qualidade dos ataques de 2011 será elevada. O executivo chama atenção para os sistemas de 64bits ganhando a predileção dos cibercriminosos. Atualmente, a maioria dos PCs vêm com 4 ou mais GB de memória RAM e 50% de todos os sistemas Windows vêm instalados na plataforma de 64 bits - espera-se uma reação por parte do mundo dos hackers.\r\n\r\nMobile e malware mutante\r\nJá foi dito que as plataformas móveis serão alvo preferido de muitos hackers. Agora, vale a pena enfatizar que o maior risco está nas soluções de phone banking. \"Principalmente por conta da instalação de software não homologado pelos fabricantes das plataformas\", diz Unseld, da McAfee.\r\n\r\nDa Syamntec vem a informação de que uma modalidade de malware denominada Schadcode cresce de maneira alarmante. Malwares desse tipo modificam seu próprio código cada vez que são instalados com sucesso em grupos de 15 PCs clientes. Assim ficam difíceis de serem encontrados e permitem aos criminosos propagarem seus processos.\r\n\r\nA única maneira de combater esse tipo de malware mutante é descobrir sua versão original, analisar o código e distribuir o antídoto aos clientes infectados. A eficiência desse combate é questionável, diante da dificuldade de encontrar um código presente em apenas uma dezena de máquinas ante às milhares de variações disseminadas pela web. \"São requeridas aproximações e perspectivas acerca do segmento de segurança em TI completamente diferentes das dos anos passados\", informa a Symantec.\r\n\r\nPara dar conta dessas novas dinâmicas de contaminação cibernética, a Symantec desenvolveu uma plataforma que analisa de forma semântica o arquivo e seu histórico. Origem do arquivo, por exemplo, é avaliada antes de liberar sua execução ou abertura. A base de consulta sobre os arquivos compreende mais de 100 milhões de registros e de 1,5 bilhão de aplicativos individuais.\r\n\r\nNuvem e segurança de dados\r\nHenning, da Astaro, informa três pontos que devem permear as agendas dos profissionais de segurança com relação à segurança dos dados.\r\n\r\nSem titubear, o executivo responde que a segurança das informações em nuvem, o IPv6 e a segurança de acesso remotos por dispositivos móveis serão as grandes dores-de-cabeça do ano de 2011.\r\n\r\nNão são as vias, mas sim, a distribuição de atualizações de segurança aos clientes que formam o grande desafio nessas questões.\r\n\r\nPara Sasha Krieger, da empresa de segurança de dados eleven, da Alemanha, a combinação das diferentes modalidades de ataques demanda por medidas de segurança flexíveis suficiente para se adaptarem às diferentes formas de ataques. \"Soluções modulares não são mais elegíveis para tal. Elas demoram demais para responder\", diz.\r\n\r\nPrincipalmente ataques do tipo DDoS e Spam, que andam muito próximos, pedem por soluções integradas.\r\n\r\nUnseld (McAfee) diz sobre esse tema que o desafio consiste em gerir acesso de plataformas diferentes à mesma base de dados e ao mesmo tempo. Mais dispositivos Apple significam mais riscos no ambiente de trabalho. \"Como proteger a empresa?\", pergunta a executiva.\r\n\r\n\"Estamos percebendo uma mudança de paradigma\", diz Hoos, da Symantec. De acordo com ele, o foco em segurança muda da infraestrutura e passa a atender, inclusive, ao contingente de dados espalhados por ambientes de nuvem e dispositivos móveis. As  equipes de TI devem se preparar para acessos independentemente da plataforma ou dos sistemas operacionais clientes, principalmente nas rotinas que prevêem acessos para servidores SharePoint e semelhantes.\r\n\r\n\"Com a invasão dos dispositivos móveis nas empresas surge o colaborador nômade\", diz, Martin Rösler, executivo de segurança da comunicação na firma Obserwando. Deixa de existir um local central para a produção de valor no negócio.\r\n\r\nDicas finais para a segurança em 2011:\r\n\r\n    * Preste atenção redobrada no status dos softwares de segurança. Caros e eficientes, essas soluções perdem seu valor no segundo em que deixam de estar atualizadas;\r\n    * Estude os logs de acesso dos servidores. É possível detectar acessos estranhos com uma depuração atenciosa dos registros;\r\n    * Use plataformas combinadas para combater ameaças que venham por email. Vale usar um software para analisar o conteúdo dos emails e vincular um exame por parte das soluções de gestão de processos;\r\n    * Capacite os colaboradores. Apesar de as medidas serem tomadas por sistemas digitais, a maioria dos ataques é possibilitada pelo comportamento promíscuo do colaborador interno;\r\n    * Explore as soluções integradas para comunicação de eventos estranhos nos sistemas e desenvolver planos de ação para tais eventualidades.','25/02/2011','Bernhard Haluschak da CIO/Alemanha');
/*!40000 ALTER TABLE `noticias` ENABLE KEYS */;


--
-- Table structure for table `sqlinjection`.`usuarios`
--

DROP TABLE IF EXISTS `usuarios`;
CREATE TABLE `usuarios` (
  `Codigo` int(10) unsigned NOT NULL auto_increment,
  `Username` varchar(45) NOT NULL default '',
  `Senha` varchar(45) NOT NULL default '',
  `Nome` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`Codigo`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `sqlinjection`.`usuarios`
--

/*!40000 ALTER TABLE `usuarios` DISABLE KEYS */;
INSERT INTO `usuarios` (`Codigo`,`Username`,`Senha`,`Nome`) VALUES 
 (1,'guarino','123456','Guarino'),
 (2,'user1','******','Webmaster'),
 (3,'titao','123456','Cristoferson');
/*!40000 ALTER TABLE `usuarios` ENABLE KEYS */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
